[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.OnContextPopup

Invoked when a context-sensitive pop-up menu is requested.

## Declaration

Source position: controls.pp line 1581

`protected property TControl.OnContextPopup : TContextPopupEvent read FOnContextPopup write FOnContextPopup;`

## Description

The handler can show and handle the menu selection itself. If so, it should set Handled to True. Otherwise the installed PopupMenu is shown.

## See also

TContextPopupEvent |  | Handler type for OnContextPopup.
TControl.PopupMenu |  | A context-sensitive menu that pops up when the right mouse button is clicked over this control.